summaryrefslogtreecommitdiff
path: root/bg1/install-patch-us.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bg1/install-patch-us.sh')
-rwxr-xr-xbg1/install-patch-us.sh13
1 files changed, 10 insertions, 3 deletions
diff --git a/bg1/install-patch-us.sh b/bg1/install-patch-us.sh
index 30387c2..2d382ea 100755
--- a/bg1/install-patch-us.sh
+++ b/bg1/install-patch-us.sh
@@ -14,7 +14,14 @@
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
-# BG1 official US/Canada patch
+# BG1 official US/Canada patch v1.1.4315
+#
+# info : http://downloads.bioware.com/baldursgate1/bg114315.txt
+# size : 4.2 MB
+# date : 2/1/99
+
+patch_url="http://downloads.bioware.com/baldursgate1/bg114315.exe"
+patch_name="$(basename $patch_url)"
scriptdir="$(dirname $0)"/..
source "${scriptdir}/includes/generic-includes.sh"
@@ -26,9 +33,9 @@ checkforbin cabextract unshield wget
setuptmp
-getpatch http://downloads.bioware.com/baldursgate1/bg114315.exe
+getpatch $patch_url
-cabextract -L "${TMPDIR}/bg114315.exe" -d "$TMPDIR" || diesoftly
+cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
cp -R "${TMPDIR}/english/"* "$TARGETDIR" || diesoftly